## org.apache.batik.ext.awt.image.codec.tiff
Class TIFFTranscoderInternalCodecWriteAdapter

    java.lang.Object
      org.apache.batik.ext.awt.image.codec.tiff.TIFFTranscoderInternalCodecWriteAdapter

All Implemented Interfaces:
  TIFFTranscoder.WriteAdapter

    public class TIFFTranscoderInternalCodecWriteAdapter

extends java.lang.Object
implements TIFFTranscoder.WriteAdapter

This class is a helper to `TIFFTranscoder` that writes TIFF images through the internal TIFF codec.

Constructor Summary
`TIFFTranscoderInternalCodecWriteAdapter()`

Method Summary
`void` `writeImage(TIFFTranscoder transcoder, java.awt.image.BufferedImage img, TranscoderOutput output)` Writes the specified image to the specified output.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TIFFTranscoderInternalCodecWriteAdapter

    public TIFFTranscoderInternalCodecWriteAdapter()

Method Detail

### writeImage

    public void writeImage(TIFFTranscoder transcoder,
                           java.awt.image.BufferedImage img,
                           TranscoderOutput output)
                    throws TranscoderException

  Description copied from interface: `TIFFTranscoder.WriteAdapter`
  Writes the specified image to the specified output.

  Specified by:
    `writeImage` in interface `TIFFTranscoder.WriteAdapter`
  Parameters:
    `transcoder` - the calling PNGTranscoder
    `img` - the image to write
    `output` - the output where to store the image
  Throws:
    `TranscoderException`
  See Also:
    `PNGTranscoder.WriteAdapter.writeImage(org.apache.batik.transcoder.image.PNGTranscoder, java.awt.image.BufferedImage, org.apache.batik.transcoder.TranscoderOutput)`

Copyright © 2008 Apache Software Foundation. All Rights Reserved.